Skip to content

Listing Job Notes

List the notes belonging to a job in your workspace.

The list job notes endpoint allows you to retrieve a paginated list of the job notes for a job in your workspace.

By default, notes are returned from newest to oldest.

Endpoint

MethodUrl
GET/v1.0/jobs/{job_id}/notes

Request Parameters

page_size
number

The page size for search result pagination. If not provided, the service will default to 50 items.

page_token
string

The page to fetch. If any, this would be the next_page_token value returned from the previous request.

order_by
string

The order in which to return results, in the format {field} {direction} — for example, create_time asc. Only the create_time field is supported. Defaults to create_time desc (newest first).

Sample Request

bash
Copied
1curl -X GET 'https://api.worklayer.com/v1.0/jobs/a439ddfa-6ba4-4b38-8cf0-5d09db1a0af4/notes' \
2-H 'Authorization: Bearer {token}'

Response

data
list

The notes belonging to that job. See the job note resource page.

next_page_token
string

The pagination token to retrieve the next page of results. If the value is "", it means no further results for the request.

Sample Response

json
Copied
1{
2 "data": [
3 {
4 "id": "873eb165-3a9f-443d-b273-b72a1d9fa2da",
5 "job_id": "a439ddfa-6ba4-4b38-8cf0-5d09db1a0af4",
6 "body": "Client uploaded the missing W-2. Ready for review.",
7 "created_by_user_id": "a6e5ea2f-7d96-4852-9f46-2383dfd572f7",
8 "recipient_user_ids": ["95e6f305-913e-40ad-9c80-ede263670878"],
9 "create_time": "2026-08-06T13:45:25.781Z"
10 },
11 {
12 "id": "dd313afe-8348-4f25-b327-1faf2244710a",
13 "job_id": "a439ddfa-6ba4-4b38-8cf0-5d09db1a0af4",
14 "body": "Waiting on the client's prior-year return.",
15 "created_by_user_id": "781350c1-14cd-4790-88ef-841af4097aad",
16 "recipient_user_ids": [],
17 "create_time": "2026-08-04T17:49:00.223Z"
18 }
19 ],
20 "next_page_token": "c3RyaW5nL3dvcmtzcGFjZV9tZW1iZXIudXNlcl9pZC9hc2MvbG9jYWwlN0NlMmNlMTM0ZC03NmYyLTVhNzctOWQ2Yy05MDY2NjVkM2VlNTQ="
21}

Errors

  1. Forbidden: API Client cannot view the job's notes.
  2. Unauthorized: API Client does not have valid credentials.
  3. BadRequest: Either the pagination options are in an incorrect format, or there was a malformed request.
  4. NotFound: The job was not found.

Last updated on August 6, 2026